Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCanvasRectangle Class Reference

The QCanvasRectangle class provides a rectangle on a QCanvas. More...

    #include <QCanvasRectangle>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

Inherits QCanvasPolygonalItem.

- List of all members, including inherited members

### Public Functions

- QCanvasRectangle ( QCanvas * canvas )
- QCanvasRectangle ( const QRect & r, QCanvas * canvas )
- QCanvasRectangle ( int x, int y, int width, int height, QCanvas * canvas )
- ~QCanvasRectangle ()
- int height () const
- QRect rect () const
- virtual int rtti () const
- void setSize ( int width, int height )
- QSize size () const
- int width () const

- 8 public functions inherited from QCanvasPolygonalItem
- 38 public functions inherited from QCanvasItem

### Protected Functions

- virtual QPointArray chunks () const
- virtual void drawShape ( QPainter & p )

- 6 protected functions inherited from QCanvasPolygonalItem
- 1 protected function inherited from QCanvasItem

## Detailed Description

The QCanvasRectangle class provides a rectangle on a QCanvas.

This item paints a single rectangle which may have any pen() and brush(), but may not be tilted/rotated. For rotated rectangles, use QCanvasPolygon.

The rectangle's size and initial position can be set in the constructor. The size can be set or changed later using setSize(). Use height() and width() to retrieve the rectangle's dimensions.

The rectangle can be drawn on a painter with drawShape().

Like any other canvas item rectangles can be moved with QCanvasItem::move() and QCanvasItem::moveBy(), or by setting coordinates with QCanvasItem::setX(), QCanvasItem::setY() and QCanvasItem::setZ().

## Member Function Documentation

### QCanvasRectangle::QCanvasRectangle ( QCanvas * canvas )

Constructs a rectangle at position (0,0) with both width and height set to 32 pixels on canvas.

### QCanvasRectangle::QCanvasRectangle ( const QRect & r, QCanvas * canvas )

Constructs a rectangle positioned and sized by r on canvas.

### QCanvasRectangle::QCanvasRectangle ( int x, int y, int width, int height, QCanvas * canvas )

Constructs a rectangle at position (x, y) and size width by height, on canvas.

### QCanvasRectangle::~QCanvasRectangle ()

Destroys the rectangle.

### QPointArray QCanvasRectangle::chunks () const `[virtual protected]`

Simply calls QCanvasItem::chunks().

Reimplemented from QCanvasItem.

### void QCanvasRectangle::drawShape ( QPainter & p ) `[virtual protected]`

Draws the rectangle on painter p.

Reimplemented from QCanvasPolygonalItem.

### int QCanvasRectangle::height () const

Returns the height of the rectangle.

### QRect QCanvasRectangle::rect () const

Returns the integer-converted x(), y() position and size() of the rectangle as a QRect.

### int QCanvasRectangle::rtti () const `[virtual]`

Returns 5 (QCanvasItem::Rtti_Rectangle).

Reimplemented from QCanvasItem.

See also QCanvasItem::rtti().

### void QCanvasRectangle::setSize ( int width, int height )

Sets the width and height of the rectangle.

### QSize QCanvasRectangle::size () const

Returns the width() and height() of the rectangle.

See also rect() and setSize().

### int QCanvasRectangle::width () const

Returns the width of the rectangle.